be.fgov.ehealth.dics.protocol.v5

## Class ConsultDosageParameterType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultDosageParameterType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:12:51+01:00",
                 comments="JAXB RI v2.2.11")
      public class ConsultDosageParameterType
      extends Object
      implements Serializable

  Java class for ConsultDosageParameterType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultDosageParameterType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Definition" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="StandardUnit" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="SnomedCT" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultDosageParameterType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefinition()` Gets the value of the definition property.
    `String` | `getName()` Gets the value of the name property.
    `String` | `getSnomedCT()` Gets the value of the snomedCT property.
    `String` | `getStandardUnit()` Gets the value of the standardUnit property.
    `void` | `setDefinition(String value)` Sets the value of the definition property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setSnomedCT(String value)` Sets the value of the snomedCT property.
    `void` | `setStandardUnit(String value)` Sets the value of the standardUnit property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultDosageParameterType

          public ConsultDosageParameterType()

  - ### Method Detail

    - #### getDefinition

          public String getDefinition()

      Gets the value of the definition property.
      Returns:
        possible object is `String`

    - #### setDefinition

          public void setDefinition(String value)

      Sets the value of the definition property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStandardUnit

          public String getStandardUnit()

      Gets the value of the standardUnit property.
      Returns:
        possible object is `String`

    - #### setStandardUnit

          public void setStandardUnit(String value)

      Sets the value of the standardUnit property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSnomedCT

          public String getSnomedCT()

      Gets the value of the snomedCT property.
      Returns:
        possible object is `String`

    - #### setSnomedCT

          public void setSnomedCT(String value)

      Sets the value of the snomedCT property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.